Page MenuHomeFreeBSD

Disable REPRODUCIBLE_BUILD for kernel builds.
ClosedPublic

Authored by jhb on Aug 27 2019, 10:26 PM.

Details

Summary

The REPRODUCIBLE_BUILD option is actually managed in two separate
files. src.opts.mk governs the setting for world builds and
kern.opts.mk governs it for kernel builds. r350550 only changed the default
for world builds.

Reported by: emaste

Test Plan
  • tested in a VM by removing the knob from /etc/src.conf and verifying a before kernel had a shorter uname -a and an after kernel had a full uname -a

Ed would like us to just remove the non-kernel places that use this knob
(I think it's only the boot loader?) and only have the kernel knob, but
I think that can be done as a separate change.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 26454
Build 24885: arc lint + arc unit

Event Timeline

jhb created this revision.Aug 27 2019, 10:26 PM
emaste added a comment.Sep 5 2019, 6:59 PM

I think they should have the same default, so leave your change to src.opts.mk in place.

jhb updated this revision to Diff 62018.Sep 13 2019, 5:05 AM
  • Drop src.opts.mk change.
jhb retitled this revision from Revert r350550 and disable REPRODUCIBLE_BUILD for kernel builds. to Disable REPRODUCIBLE_BUILD for kernel builds..Sep 13 2019, 5:06 AM
jhb edited the summary of this revision. (Show Details)
emaste accepted this revision.Sep 27 2019, 1:09 PM
This revision is now accepted and ready to land.Sep 27 2019, 1:09 PM
This revision was automatically updated to reflect the committed changes.